Subject: bug#4910 closed by Juri Linkov <[email-masked]> (Re: bug#4910: 23.1.50; Error while displaying tooltip)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 17 Nov 2009 10:45:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4910: 23.1.50; Error while displaying tooltip

It has been closed by Juri Linkov <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juri Linkov <[email-masked]> by
replying to this email.

-- 
4910: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4910
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4910: 23.1.50; Error while displaying tooltip
From: Juri Linkov <[email-masked]>
To: Jan Djärv <[email-masked]>
Cc: Dan Nicolaescu <[email-masked]>, [email-masked]
Date: Tue, 17 Nov 2009 12:07:43 +0200

>>   > Hovering the mouse on the first menu opening after starting Emacs
>>   > (I mean when you click on a top-level menu first time) displays
>>   > empty tooltip frames for menu items.  But after second menu
>>   > opening tooltip frames are correct.
>>
>> That's an old problem, it's present at least in 23.1.
>> I think I mentioned it on the list some time ago.
>
> This should be fixed now.

Thank you.

-- 
Juri Linkov
http://www.jurta.org/emacs/

Subject: 23.1.50; Error while displaying tooltip
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 2009 12:59:51 +0200

Some recent changes broke tooltip display on non-toolkit X builds.

Hovering the mouse over a menu item or a toolbar icon results in the
error message:

  Error while displaying tooltip: (error Invalid frame name--not a string or nil)

and after a delay the tooltip is displayed in the echo area instead of the
tooltip frame.

In GNU Emacs 23.1.50.1 (x86_64-unknown-linux-gnu)
 of 2009-11-12
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--with-x-toolkit=no' 'CFLAGS=-g3 -O0 -Wno-pointer-sign -fno-inline -fno-crossjumping''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_DK.utf8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

-- 
Juri Linkov
http://www.jurta.org/emacs/